### Method

# GVnc Connection set_pixel_format

#### Declaration [src]

    gboolean
    vnc_connection_set_pixel_format (
      VncConnection* conn,
      const VncPixelFormat* fmt
    )

#### Description [src]

Tell the server what pixel format to use for framebuffer updates. It is only safe to use this when no framebuffer updates are pending, otherwise it is impossible to determine when the server has switched over to using the new format.

#### Parameters

`fmt`

  Type: `VncPixelFormat`

  The new pixel format.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE if the connection is ok, FALSE if it has an error.